Subject: Re: [RFC] Add warning when git discard changes on another branch?

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 May 2017 15:07:02 +0900

Yubin Ruan <[email-masked]> writes:

> That would be helpful. But, frankly, if a user would be aware of that `advice.*'
> variable, he would have enough knowledge of Git to be aware of that situation.
> So, I think that 'M lala.txt' in transitions from branch to branch would be
> sufficient.

Ah, you got the advice.* thing wrong.  The "advice" messages are by
default noisy, and experts can turn them down by setting advice.* to
"false", saying "I know Git well enough that I do not need handholding
in this area."

So a newbie does not have to know about "advice.*".  When s/he gets
experienced enough to get annoyed by noisy messages, s/he can tune
it out.